package com.neusoft.smart.pos.payorder.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 业务错误信息使用枚举类
 */
public enum PayErrorCode implements CommonCode {

    PAY_TYPE_IS_EMPTY("11001", "支付类型不能为空"),
    PAY_AMOUNT_IS_EMPTY("11002", "支付金额不能为空"),
    PAY_AMOUNT_ERROR("11003", "支付金额输入错误"),
    MCH_THIRD_PLATFORM_NOT_CONFIG("118004", "商户未配置第三方支付平台支付信息"),
    TRADE_SETTLEMENT_INFO_EMPTY("11005", "门店结算信息为空，请在管理后台进行设置"),
    PAY_CHANNEL_IS_NOT_OPEN("11007", "该商户尚未开通此支付渠道"),
    DICT_PAY_TYPE_NOT_EXIST("11008", "系统支付方式未设置，请联系管理员"),
    MCH_INFO_NOT_EXIST("11009", "商户信息不存在"),
    THIRD_PLATFORM_CANCEL_PAY_ORDER_FAIL("11010","第三方平台取消订单失败"),
    PAY_TYPE_NO_SUPPORT_FUNC("11011","支付方式不支持此接口"),
    ;

    private String code;
    private String message;

    PayErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
